This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1248417 - krb5 mount without rpcgssd service should return rationale error message instead "mount.nfs: an incorrect mount option was specified"
krb5 mount without rpcgssd service should return rationale error message inst...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nfs-utils (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Steve Dickson
Yongcheng Yang
: Reopened
Depends On: 1223707
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-30 05:03 EDT by Yongcheng Yang
Modified: 2017-07-01 19:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1223707
Environment:
Last Closed: 2016-05-11 01:18:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Yongcheng Yang 2016-05-11 01:18:35 EDT
This issue no longer exist in RHEL-7.2 with nfs-utils-1.3.0-0.21.el7
So close it as CURRENTRELEASE.

[10:02:40 root@ ~~]# timeLimitRun 300 mount -o vers=4,sec=krb5 ibm-p8-alpine-01-lp1.lab4.eng.bos.redhat.com:/home/krb5user /rhome/krb5user &>stderr
:: [   PASS   ] :: Running 'timeLimitRun 300 mount -o vers=4,sec=krb5 ibm-p8-alpine-01-lp1.lab4.eng.bos.redhat.com:/home/krb5user /rhome/krb5user &>stderr' (Expected 1-255, got 32)
--------------------------------------------------------------------------------
[10:02:40 root@ ~~]# test 32 != 143
:: [   PASS   ] :: should not be timeOut (Expected 0, got 0)
--------------------------------------------------------------------------------
[10:02:40 root@ ~~]# cat stderr && grep "incorrect mount option" stderr
mount.nfs: Operation not permitted
:: [   PASS   ] :: bz1223707, should not be 'incorrect mount option' (Expected 1, got 1)
--------------------------------------------------------------------------------
[10:02:40 root@ ~~]# grep "RPC: AUTH_GSS upcall failed" /var/log/messages
:: [   PASS   ] :: for bz1059241 (Expected 1, got 1)
----------------------------------------------------
Comment 3 Yongcheng Yang 2017-04-28 01:58:04 EDT
(In reply to Yongcheng Yang from comment #2)
> This issue no longer exist in RHEL-7.2 with nfs-utils-1.3.0-0.21.el7
> So close it as CURRENTRELEASE.
> 

It occurs again while testing RHEL-7.4 as following.

Close as WONTFIX to keep consistent with the rhel6
Bug 1223707. Please correct me if there's any concern.

[21:35:55 root@ ~~]# timeLimitRun 300 mount -o vers=4,sec=krb5 kvm-02-guest01.rhts.eng.bos.redhat.com:/home/krb5user /rhome/krb5user &>stderr
:: [   PASS   ] :: Running 'timeLimitRun 300 mount -o vers=4,sec=krb5 kvm-02-guest01.rhts.eng.bos.redhat.com:/home/krb5user /rhome/krb5user &>stderr' (Expected 1-255, got 32)
--------------------------------------------------------------------------------
[21:35:55 root@ ~~]# test 32 != 143
:: [   PASS   ] :: should not be timeOut (Expected 0, got 0)
--------------------------------------------------------------------------------
[21:35:55 root@ ~~]# cat stderr && grep "incorrect mount option" stderr
mount.nfs: an incorrect mount option was specified
mount.nfs: an incorrect mount option was specified
:: [   FAIL   ] :: bz1223707, should not be 'incorrect mount option' (Expected 1, got 0)
Comment 4 Yongcheng Yang 2017-04-28 02:13:46 EDT
(In reply to Yongcheng Yang from comment #3)
> (In reply to Yongcheng Yang from comment #2)
> > This issue no longer exist in RHEL-7.2 with nfs-utils-1.3.0-0.21.el7
> > So close it as CURRENTRELEASE.
> > 
> 
> It occurs again while testing RHEL-7.4 as following.
> 
> Close as WONTFIX to keep consistent with the rhel6
> Bug 1223707. Please correct me if there's any concern.
> 

Just notice that SteveD agrees that "the error message is not the most obvious message" (Bug 1223707 Comment 2). Just reopen it to see if we can find some proper method solving it.

Note You need to log in before you can comment on or make changes to this bug.